nrational.h File Reference

Deals with artibrary precision rational numbers. More...

`#include "regina-core.h"`
`#include "maths/ninteger.h"`

## Classes

class | regina::NRational
| Represents an arbitrary precision rational number. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API std::ostream & | regina::operator<< (std::ostream &out, const NRational &rat)
| Writes the given rational to the given output stream. More...

## Detailed Description

Deals with artibrary precision rational numbers.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).